export const aResponse = (status, result, cacheForSeconds = 60, headers) => {
    const body = result !== undefined ? JSON.stringify(result) : undefined;
    return {
        statusCode: status,
        headers: {
            ...(body !== undefined ? { 'content-type': 'application/json' } : {}),
            'content-length': `${body?.length ?? 0}`,
            'Cache-Control': cacheForSeconds > 0 ? `public, max-age=${cacheForSeconds}` : 'no-store',
            ...(headers ?? {}),
        },
        body,
    };
};
